Pistis
API referenceFlows

Start a flow run

POST
/flows/{flowId}/runs

The same runId returns the same run. Follow the run's session like any other.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

flowId*string

A flow id

Request Body

application/json
  1. body
payload?unknown
runId?string

^[A-Za-z0-9_-]{1,100}$

Response Body

Started

application/json
  1. response
runId*string
sessionId*string
Example Request
curl -X POST 'http://127.0.0.1:7777/flows/nightly-check/runs' \  -H 'Content-Type: application/json' \  -d '{  "runId": "run-1"}'
Example Response
{  "runId": "string",  "sessionId": "string"}